/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const componentsRouter = {
  path: '/components',
  component: Layout,
  redirect: 'noRedirect',
  name: 'ComponentDemo',
  meta: {
    title: '组件',
    icon: 'component'
  },
  children: [
    {
      path: 'tinymce',
      component: () => import('@/views/components-demo/tinymce'),
      name: 'TinymceDemo',
      meta: { title: '富文本' }
    },
    // {
    //   path: 'markdown',
    //   component: () => import('@/views/components-demo/markdown'),
    //   name: 'MarkdownDemo',
    //   meta: { title: 'markdown' }
    // },
    // {
    //   path: 'json-editor',
    //   component: () => import('@/views/components-demo/json-editor'),
    //   name: 'JsonEditorDemo',
    //   meta: { title: 'jsonEditor' }
    // },
    // {
    //   path: 'split-pane',
    //   component: () => import('@/views/components-demo/split-pane'),
    //   name: 'SplitpaneDemo',
    //   meta: { title: 'splitPane' }
    // },
    // {
    //   path: 'avatar-upload',
    //   component: () => import('@/views/components-demo/avatar-upload'),
    //   name: 'AvatarUploadDemo',
    //   meta: { title: 'avatarUpload' }
    // },
    // {
    //   path: 'dropzone',
    //   component: () => import('@/views/components-demo/dropzone'),
    //   name: 'DropzoneDemo',
    //   meta: { title: 'dropzone' }
    // },
    {
      path: 'sticky',
      component: () => import('@/views/components-demo/sticky'),
      name: 'StickyDemo',
      meta: { title: '固定顶部' }
    },
    // {
    //   path: 'count-to',
    //   component: () => import('@/views/components-demo/count-to'),
    //   name: 'CountToDemo',
    //   meta: { title: 'countTo' }
    // },
    // {
    //   path: 'mixin',
    //   component: () => import('@/views/components-demo/mixin'),
    //   name: 'ComponentMixinDemo',
    //   meta: { title: 'componentMixin' }
    // },
    {
      path: 'back-to-top',
      component: () => import('@/views/components-demo/back-to-top'),
      name: '返回顶部',
      meta: { title: '返回顶部' }
    },
    {
      path: 'drag-dialog',
      component: () => import('@/views/components-demo/drag-dialog'),
      name: 'DragDialogDemo',
      meta: { title: '弹窗可拖动' }
    },
    {
      path: 'progress',
      component: () => import('@/views/progress/index'),
      name: 'progressDemo',
      meta: { title: 'progress进度页面' }
    },
    {
      path: 'message',
      component: () => import('@/views/message/index'),
      name: 'message',
      meta: { title: '消息提醒' }
    },
    {
      path: 'formDemo',
      component: () => import('@/views/form/index'),
      name: 'formDemo',
      meta: { title: 'form表单' }
    },
    {
      path: 'breadcrumb',
      component: () => import('@/views/breadcrumb/index'),
      name: 'breadcrumb',
      meta: { title: '面包屑导航' }
    },
    {
      path: 'treeTransfer',
      component: () => import('@/views/treeTransfer/index'),
      name: 'treeTransfer',
      meta: { title: '树+穿梭框' }
    },
    // {
    //   path: 'drag-select',
    //   component: () => import('@/views/components-demo/drag-select'),
    //   name: 'DragSelectDemo',
    //   meta: { title: 'dragSelect' }
    // },
    {
      path: 'dnd-list',
      component: () => import('@/views/components-demo/dnd-list'),
      name: 'DndListDemo',
      meta: { title: '列表拖拽' }
    },
    {
      path: 'drag-kanban',
      component: () => import('@/views/components-demo/drag-kanban'),
      name: 'DragKanbanDemo',
      meta: { title: '可拖拽看板' }
    }
  ]
}

export default componentsRouter
